FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000470FL52.2 Subprogram FLUC (CONV)public2014-06-13 09:472015-04-15 15:36
ReporterFalk Reichbott 
Assigned ToTilo Eckert 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.0 
Target Version5.2Fixed in Version5.1.02 
Summary0000470: Dump of output to file or stream
DescriptionTo display each kind of data with FLVIEW a new FIODMP component is required to show binary data as hex records or block dump. The new komponent can be used to write the data as hex dump to stream (stdout) or to an file in 2 different formats.

Record-Format:
A line with the data of the record
A line with the first hex char below
A line with the secod hex char below
like show hex on z/os

Block-Format:
like HEX editiors
left the offset, then the binary data, and the the character string

The format can be choosen of no format selekted for record oriented data the record and for blok orineted data the block format will be used.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000693)
Falk Reichbott (administrator)
2014-11-18 19:18

Add a new switch called "DUMP" to "write.text()" and extent FIOBLK to dump binary data.

FLVIEW on block orineted system use read.file=file.dat write.text(DUMP) to produce also for binary data a text file (hex dump) to browse.

The feature support block and record orientation. If the data block oriented the dump looks like an hex editor output with offset, 32 hex values and 16 printable characters or a point for non printable chars. The record oriented dump, print each printable byte or a dot in the first row, then the first half byte in the second and the last half byte in the thered row. Each record has the same length but is printed 3 times in the different representation.

The FCRREC switch can be used to enforce the record oriented dump.

- Issue History
Date Modified Username Field Change
2014-06-13 09:47 Falk Reichbott New Issue
2014-06-13 09:47 Falk Reichbott Status new => assigned
2014-06-13 09:47 Falk Reichbott Assigned To => Falk Reichbott
2014-07-17 08:47 Falk Reichbott Assigned To Falk Reichbott => Tilo Eckert
2014-09-08 10:17 Falk Reichbott Target Version 5.1 => 5.2
2014-11-18 19:18 Falk Reichbott Note Added: 0000693
2014-11-18 19:18 Falk Reichbott Status assigned => resolved
2014-11-18 19:18 Falk Reichbott Fixed in Version => 5.1
2014-11-18 19:18 Falk Reichbott Resolution open => fixed
2015-04-15 15:36 Falk Reichbott Fixed in Version 5.1 => 5.1.02


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker